### File

`packages/components/eui-icon-button/eui-icon-button.component.ts`

### Implements

`OnInit`

### Metadata

HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiSecondary euiSuccess euiInfo euiWarning euiDanger euiVariant
selector | `eui-icon-button`
imports | `EUI_ICON`
styleUrls | `./eui-icon-button.component.scss`
templateUrl | `./eui-icon-button.component.html`

### Index

###### Methods

- onClick

###### Inputs

- ariaLabel
- euiDisabled
- euiRounded
- fillColor
- hasFocusHoverBg
- hasFocusHoverColor
- hasNoPadding
- hasOverflowHover
- icon
- iconUrl
- size
- tabindex

###### Outputs

- buttonClick

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

ariaLabel
Type : `string`
Default value : `'eUI Icon button'`

euiDisabled
Type : `boolean`
Default value : `false`

euiRounded
Type : `boolean`
Default value : `false`

fillColor
Type : `string`

hasFocusHoverBg
Type : `boolean`
Default value : `true`

hasFocusHoverColor
Type : `boolean`
Default value : `false`

hasNoPadding
Type : `boolean`
Default value : `false`

hasOverflowHover
Type : `boolean`
Default value : `false`

icon
Type : `string`

iconUrl
Type : `string`

size
Type : `"2xs" | "xs" | "s" | "m" | "l" | "xl" | "2xl" | "3xl" | "4xl"`
Default value : `'m'`

tabindex
Type : `number`
Default value : `0`

### Outputs

buttonClick
Type : `EventEmitter`

### HostBindings

class
Type : `string`

### Methods

onClick
`onClick(event: Event)`

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `void`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""